package model

import (
	"time"
)

type TaCustomerCoupon struct {
	CustomerCouponId   string    `xorm:"not null pk VARCHAR(64)"`
	CouponId           string    `xorm:"VARCHAR(64)"`
	CustomerCouponName string    `xorm:"VARCHAR(64)"`
	CustomerId         string    `xorm:"VARCHAR(64)"`
	StartDate          time.Time `xorm:"DATETIME"`
	EndDate            time.Time `xorm:"DATETIME"`
	Status             int       `xorm:"SMALLINT(6)"`
	ReceiveDate        time.Time `xorm:"DATETIME"`
	UseDate            time.Time `xorm:"DATETIME"`
	CaseId             string    `xorm:"VARCHAR(64)"`
	OrgId              string    `xorm:"VARCHAR(64)"`
}
